Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.bind.util
Class ValidationEventCollector

    java.lang.Object
      |
      +--javax.xml.bind.util.ValidationEventCollector

All Implemented Interfaces:
  ValidationEventHandler

public class ValidationEventCollector
extends java.lang.Object
implements ValidationEventHandler

`ValidationEventHandler` implementation that collects all events.

To use this class, create a new instance and pass it to the setEventHandler method of the Validator, Unmarshaller, Marshaller class. After the call to validate or unmarshal completes, call the getEvents method to retrieve all the reported errors and warnings.

Since:
  JAXB1.0
Version:
  $Revision: 1.1 $
Author:
  - Kohsuke Kawaguchi, Sun Microsystems, Inc.
  - Ryan Shoemaker, Sun Microsystems, Inc.
  - Joe Fialli, Sun Microsystems, Inc.
See Also:
  `Validator`, `ValidationEventHandler`, `ValidationEvent`, `ValidationEventLocator`

Constructor Summary
`ValidationEventCollector()`

Method Summary
`ValidationEvent[]` | `getEvents()` Return an array of ValidationEvent objects containing a copy of each of the collected errors and warnings.
`boolean` | `handleEvent(ValidationEvent event)` Receive notification of a validation warning or error.
`boolean` | `hasEvents()` Returns true if this event collector contains at least one ValidationEvent.
`void` | `reset()` Clear all collected errors and warnings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationEventCollector

    public ValidationEventCollector()

Method Detail

### getEvents

    public ValidationEvent[] getEvents()

  Return an array of ValidationEvent objects containing a copy of each of the collected errors and warnings.

  Returns:
    a copy of all the collected errors and warnings or an empty array if there weren't any

### reset

    public void reset()

  Clear all collected errors and warnings.

### hasEvents

    public boolean hasEvents()

  Returns true if this event collector contains at least one ValidationEvent.

  Returns:
    true if this event collector contains at least one ValidationEvent, false otherwise

### handleEvent

    public boolean handleEvent(ValidationEvent event)

  Description copied from interface: `ValidationEventHandler`
  Receive notification of a validation warning or error. The ValidationEvent will have a `ValidationEventLocator` embedded in it that indicates where the error or warning occurred.

  If an unchecked runtime exception is thrown from this method, the JAXB provider will treat it as if the method returned false and interrupt the current unmarshal, validate, or marshal operation.

  Specified by:
    `handleEvent` in interface `ValidationEventHandler`
  Parameters:
    `event` - the encapsulated validation event information. It is a provider error if this parameter is null.
  Returns:
    true if the JAXB Provider should attempt to continue the current unmarshal, validate, or marshal operation after handling this warning/error, false if the provider should terminate the current operation with the appropriate `UnmarshalException`, `ValidationException`, or `MarshalException`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Comments to: jaxb-spec-comments@sun.com
More information at: http://java.sun.com/xml/jaxb

Copyright © 2001 by Sun Microsystems, Inc., 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.